<!DOCTYPE HTML PUBLIC "-//W3C/DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<%@page contentType="text/html" pageEncoding="UTF-8" %>

<%@taglib uri="http://www.esri.com/adf/web" prefix="a"%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ page language="java" import="java.util.Locale" %>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>AJAX Postback</title>
    <link rel="stylesheet" href="css/adf.css" type="text/css" media="screen"></link>
    <script type="text/javascript" language="Javascript" src="js/mapInformation2.js"></script>
    <script type="text/javascript" language="javascript" src="js/esri/dojo/dojo.js" djConfig="locale:'<%=Locale.getDefault().toString().replace('_', '-').toLowerCase()%>' "></script>
    <script type="text/javascript">
    	adfdojo.require("adf.adf");
    	adfdojo.requireLocalization("resource","adf");
    </script> 
  </head>
  <body onload="init()">
    <f:view>
      <a:context value="#{mapContext}" />
      <a:context value="#{mapContext}" />
      <h:form id="f">
        <table>
          <tbody>
            <tr>
              <td colspan="2">
                 <a:task id="mapToolsTask" value="#{mapContext.attributes.webappMapToolsTask}" taskInfo="#{mapContext.attributes.webappMapToolsTask.taskInfo}" mapId="map1" windowingSupport="false" style="padding:0px;margin:0px;" xslFile="maptoolstask.xsl" />
              </td>
            </tr>
            <tr>
              <td style="border:1px solid #000;">
                <!-- Declare map control -->
                <a:map id="map1" value="#{mapContext.webMap}" width="400" height="400" />
              </td>
              <td valign="top">
                Map Information :
                <table>
                  <tbody>
                    <tr>
                      <td nowrap="true">MinX : </td>
                      <td><span id="minx"></span></td>
                    </tr>
                    <tr>
                      <td nowrap="true">MinY : </td>
                      <td><span id="miny"></span></td>
                    </tr>
                    <tr>
                      <td nowrap="true">MaxX : </td>
                      <td><span id="maxx"></span></td>
                    </tr>
                    <tr>
                      <td nowrap="true">MaxY : </td>
                      <td><span id="maxy"></span></td>
                    </tr>
                    <tr>
                      <td nowrap="true">Scale : </td>
                      <td><span id="map-scale"></span></td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
          </tody>
        </table>
      </h:form>
    </f:view>
  </body>
</html>